#ifndef GENE_SHORTEST_PATH_COUNT_DATABASE_H
#define GENE_SHORTEST_PATH_COUNT_DATABASE_H

#include <vector>
#include <string>
#include <cassert>
#include <tcutil.h>
#include <tchdb.h>
#include "maxlink_types.h"
#include "hdb_tokyo_cabinet_database.h"

// This class is not used anymore.

class GeneShortestPathCountDatabase : public HdbTokyoCabinetDatabase {
 public:
   GeneShortestPathCountDatabase() {};
  ~GeneShortestPathCountDatabase() {};
  void incrementShortestPathCount(maxlink_types::GeneId gene_id) {
    assert(init_run_);
    assert(hdb_);

    // Add +1 to the counter
    if (! tchdbaddint(hdb_, &gene_id, sizeof(gene_id), 1 /* add +1 to the counter */)) {
      int error_code = tchdbecode(hdb_);
      fprintf(stderr, "error in tchdbputcat: %s\n", tchdberrmsg(error_code));
      exit(EXIT_FAILURE);
    }
  }
  std::string endingFilename() {
    return std::string("GeneShortestPathDatabase.hdb");
  };

  int shortestPathCount(maxlink_types::GeneId gene_id) {
    assert(init_run_);
    assert(hdb_);
    int value_size = 0;

    int *result_ptr = static_cast<int *>(tchdbget(hdb_, &gene_id, sizeof(gene_id), &value_size));
    if (!result_ptr) {
      return 0;
    }
    assert(value_size == sizeof(int));
    int count = *result_ptr;
    free(result_ptr);
    return count;
  }
};

#endif
