#ifndef GENE_SHORTEST_PATH_DATABASE_H
#define GENE_SHORTEST_PATH_DATABASE_H

#include <vector>
#include <string>
#include <cassert>
#include <tcutil.h>
#include <tchdb.h>
#include "maxlink_types.h"
#include "hdb_tokyo_cabinet_database.h"


// This class is not used anymore.

class GeneShortestPathDatabase : public HdbTokyoCabinetDatabase {
 public:
   GeneShortestPathDatabase() {};
  ~GeneShortestPathDatabase() {};
  void storeShortestPath(maxlink_types::GeneId gene_id, maxlink_types::ShortestPathId shortest_path_id) {
    assert(init_run_);
    assert(hdb_);
    if (!tchdbputcat(hdb_, &gene_id, sizeof(gene_id), &shortest_path_id, sizeof(shortest_path_id))) {
      int error_code = tchdbecode(hdb_);
      fprintf(stderr, "error in tchdbputcat: %s\n", tchdberrmsg(error_code));
      exit(EXIT_FAILURE);
    }
  }
  std::string endingFilename() {
    return std::string("GeneShortestPathDatabase.hdb");
  };
  std::vector<maxlink_types::ShortestPathId> shortestPaths(maxlink_types::GeneId gene_id) {
    assert(init_run_);
    assert(hdb_);
    int value_size = 0;

    maxlink_types::ShortestPathId *result_ptr = static_cast<maxlink_types::ShortestPathId *>(tchdbget(hdb_, &gene_id, sizeof(gene_id), &value_size));
    if (!result_ptr) {
      std::vector<maxlink_types::ShortestPathId> empty_vec;
      return empty_vec;
    }
    assert(value_size % sizeof(maxlink_types::ShortestPathId) == 0);
    int shortest_path_id_count = value_size / sizeof(maxlink_types::ShortestPathId);

    // http://stackoverflow.com/questions/259297/how-do-you-copy-the-contents-of-an-array-to-a-stdvector-in-c-without-looping
    std::vector<maxlink_types::ShortestPathId> vec(result_ptr, result_ptr + shortest_path_id_count);
    free(result_ptr);
    return vec;
  }
};

#endif
